# Logger (SubServers.Host)

net.ME1312.SubServers.Host.Library.Log

## Class Logger

- java.lang.Object
- - net.ME1312.SubServers.Host.Library.Log.Logger

    public final class Logger
    extends java.lang.Object

Logger Class

### Field Summary

Fields
`ErrorStream` `error`
`LogStream` `info`
`LogStream` `message`
`ErrorStream` `severe`
`LogStream` `warn`

### Constructor Summary

Constructors
Constructor and Description
`Logger(java.lang.String prefix)` Gets a new Logger

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `setup(java.io.PrintStream out, java.io.PrintStream err, java.io.File dir)` Setup the SubServers Log System

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### message

    public final LogStream message

#### info

    public final LogStream info

#### warn

    public final LogStream warn

#### error

    public final ErrorStream error

#### severe

    public final ErrorStream severe

### Constructor Detail

#### Logger

    public Logger(java.lang.String prefix)

Gets a new Logger

Parameters:
  `prefix` - Log Prefix

### Method Detail

#### setup

    public static void setup(java.io.PrintStream out,
                             java.io.PrintStream err,
                             java.io.File dir)
                      throws java.io.IOException

Setup the SubServers Log System

Parameters:
  `out` - System.out
  `err` - System.err
  `dir` - Runtime Directory
Throws:
  `java.io.IOException`